Package com.meterware.httpunit

# Interface DialogResponder

All Known Implementing Classes:
  `DialogAdapter`

public interface DialogResponder
Interface for an object to supply user responses to dialogs.

Author:
  Russell Gold

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getConfirmation(String confirmationPrompt)`
Invoked when the user agent needs to display a confirmation dialog.
`String`
`getUserResponse(String prompt, String defaultResponse)`
Invoked when the user agent needs to display a generic dialog and obtain a user response.

## Method Details

### getConfirmation

boolean getConfirmation(String confirmationPrompt)
Invoked when the user agent needs to display a confirmation dialog. This method should return true to accept the proposed action or false to reject it.

### getUserResponse

String getUserResponse(String prompt, String defaultResponse)
Invoked when the user agent needs to display a generic dialog and obtain a user response. This method should return the user's answer.